# Interface NopInstruction

All Superinterfaces:
  `ClassFileElement, CodeElement, Instruction`

public sealed interface NopInstruction extends Instruction
Models a `nop` instruction in the `code` array of a `Code` attribute. Delivered as a `CodeElement` when traversing the elements of a `CodeModel`.

A no-op instruction has no visible state.

See Java Virtual Machine Specification:
  6.5.nop nop
Since:
  24
See Also:
  - `CodeBuilder::nop`

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static NopInstruction`
  `of()`
  Returns a no-op instruction.

  ### Methods declared in interface Instruction

  `opcode, sizeInBytes`

- ## Method Details

  - ### of

    static NopInstruction of()
    Returns a no-op instruction.
    Returns:
      a no-op instruction